<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:iag="http://iag.com/xbrl/2022" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" targetNamespace="http://iag.com/xbrl/2022" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd" namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="959800tzhqrush1esl13-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="959800tzhqrush1esl13-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="959800tzhqrush1esl13-2022-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="959800tzhqrush1esl13-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="Anchoring" roleURI="http://iag.com/xbrl/2022/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitOrLoss" roleURI="http://iag.com/xbrl/2022/roles/ProfitOrLoss">
        <link:definition>01 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://iag.com/xbrl/2022/roles/StatementOfComprehensiveIncome">
        <link:definition>02 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://iag.com/xbrl/2022/roles/StatementOfFinancialPosition">
        <link:definition>03 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://iag.com/xbrl/2022/roles/StatementOfCashFlows">
        <link:definition>04 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://iag.com/xbrl/2022/roles/StatementOfChangesInEquity">
        <link:definition>05 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://iag.com/xbrl/2022/roles/NotesAndMandatoryItems">
        <link:definition>06 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="iag_FuelOilCostsAndEmissionsCharges" xbrli:balance="debit" xbrli:periodType="duration" name="FuelOilCostsAndEmissionsCharges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_HandlingCateringAndOtherOperatingCosts" xbrli:balance="debit" xbrli:periodType="duration" name="HandlingCateringAndOtherOperatingCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_EngineeringAndOtherAircraftCosts" xbrli:balance="debit" xbrli:periodType="duration" name="EngineeringAndOtherAircraftCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_PropertyItAndOtherCosts" xbrli:balance="debit" xbrli:periodType="duration" name="PropertyItAndOtherCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_CurrencyDifferences" xbrli:balance="credit" xbrli:periodType="duration" name="CurrencyDifferences" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_NetFinancingCreditChargeRelatingToPensions" xbrli:balance="credit" xbrli:periodType="duration" name="NetFinancingCreditChargeRelatingToPensions" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_NetCurrencyRetranslationCreditsCharges" xbrli:balance="credit" xbrli:periodType="duration" name="NetCurrencyRetranslationCreditsCharges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_OtherNonOperatingCreditsCharges" xbrli:balance="credit" xbrli:periodType="duration" name="OtherNonOperatingCreditsCharges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_TotalNetNonOperatingIncomeCosts" xbrli:balance="credit" xbrli:periodType="duration" name="TotalNetNonOperatingIncomeCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_FairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit" xbrli:balance="credit" xbrli:periodType="duration" name="FairValueMovementsInEquityOnCashFlowHedgesThatMayBeReclassifiedSubsequentlyToNetProfit" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_FairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit" xbrli:balance="credit" xbrli:periodType="duration" name="FairValueMovementsOnCostOfHedgingThatMayBeReclassifiedSubsequentlyToNetProfit" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_CostOfHedgingReclassifiedAndReportedInNetProfit" xbrli:balance="debit" xbrli:periodType="duration" name="CostOfHedgingReclassifiedAndReportedInNetProfit" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_FairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit" xbrli:balance="credit" xbrli:periodType="duration" name="FairValueMovementsOnCostOfHedgingThatWillNotBeReclassifiedToNetProfit" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_RemeasurementsOfPostEmploymentBenefitObligations" xbrli:balance="credit" xbrli:periodType="duration" name="RemeasurementsOfPostEmploymentBenefitObligations" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_RemeasurementsOfLongTermEmployeeRelatedProvisions" xbrli:balance="credit" xbrli:periodType="duration" name="RemeasurementsOfLongTermEmployeeRelatedProvisions" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_OtherReservesIncludingRetainedEarnings" xbrli:balance="credit" xbrli:periodType="instant" name="OtherReservesIncludingRetainedEarnings" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_DeferredRevenueOnTicketSalesClassifiedAsNonCurrent" xbrli:balance="credit" xbrli:periodType="instant" name="DeferredRevenueOnTicketSalesClassifiedAsNonCurrent" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_DeferredRevenueOnTicketSalesClassifiedAsCurrent" xbrli:balance="credit" xbrli:periodType="instant" name="DeferredRevenueOnTicketSalesClassifiedAsCurrent" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_AdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForDecreaseIncreaseInTradeReceivablesInventoriesAndOtherCurrentAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_AdjustmentsForPaymentsRelatedToRestructuring" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForPaymentsRelatedToRestructuring" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_AdjustmentsForEmployerContributionsToPensionSchemes" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForEmployerContributionsToPensionSchemes" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_AdjustmentsForPensionSchemeServiceCosts" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForPensionSchemeServiceCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_AdjustmentsForProvisionsAndOtherNonCashMovements" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForProvisionsAndOtherNonCashMovements" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_AdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForSettlementOfDerivativesWhereHedgeAccountingHasBeenDiscontinued" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_SettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="SettlementOfDerivativeFinancialInstrumentsClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_InterestBearingDepositsMaturingAfterMoreThanThreeMonths" xbrli:balance="debit" xbrli:periodType="instant" name="InterestBearingDepositsMaturingAfterMoreThanThreeMonths" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_CashCashEquivalentsAndInterestBearingDeposits" xbrli:balance="debit" xbrli:periodType="instant" name="CashCashEquivalentsAndInterestBearingDeposits" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts" xbrli:balance="debit" xbrli:periodType="duration" name="CashFlowHedgesReclassifiedAndReportedInNetProfitFuelAndOilCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences" xbrli:balance="debit" xbrli:periodType="duration" name="CashFlowHedgesReclassifiedAndReportedInNetProfitCurrencyDifferences" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts" xbrli:balance="debit" xbrli:periodType="duration" name="CashFlowHedgesReclassifiedAndReportedInNetProfitFinanceCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_DiscontinuanceOfHedgeAccounting" xbrli:balance="debit" xbrli:periodType="duration" name="DiscontinuanceOfHedgeAccounting" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_IneffectivenessRecognisedInOtherNonoperatingCosts" xbrli:balance="debit" xbrli:periodType="duration" name="IneffectivenessRecognisedInOtherNonoperatingCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_NetChangeInFairValueOfCostOfHedging" xbrli:balance="credit" xbrli:periodType="duration" name="NetChangeInFairValueOfCostOfHedging" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_HedgesReclassifiedAndReportedInPropertyPlantAndEquipment" xbrli:balance="debit" xbrli:periodType="duration" name="HedgesReclassifiedAndReportedInPropertyPlantAndEquipment" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_HedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage" xbrli:balance="debit" xbrli:periodType="duration" name="HedgesReclassifiedAndReportedInSalesInAdvanceOfCarriage" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_HedgesReclassifiedAndReportedInInventory" xbrli:balance="debit" xbrli:periodType="duration" name="HedgesReclassifiedAndReportedInInventory" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_IncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments" xbrli:balance="credit" xbrli:periodType="duration" name="IncreaseDecreaseInEquityThroughTheCostOfShareBasedPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_IncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes" xbrli:balance="credit" xbrli:periodType="duration" name="IncreaseDecreaseInEquityThroughTheVestingOfShareBasedPaymentSchemes" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_CashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue" xbrli:balance="debit" xbrli:periodType="duration" name="CashFlowHedgesReclassifiedAndReportedInNetProfitPassengerRevenue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="iag_DisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod" xbrli:periodType="duration" name="DisclosureOfSignificantChangesAndTransactionsInTheCurrentReportingPeriod" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="iag_DisclosureOfImpactOfClimateChangeOnFinancialReporting" xbrli:periodType="duration" name="DisclosureOfImpactOfClimateChangeOnFinancialReporting" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="iag_DisclosureOfInvestments" xbrli:periodType="duration" name="DisclosureOfInvestments" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="iag_DisclosureOfOtherEquityInvestments" xbrli:periodType="duration" name="DisclosureOfOtherEquityInvestments" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
</xs:schema>